/*
	ChoosePrinter.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSPanel.h"

/* Tags for Controls in the ChoosePrinter panel */

typedef enum _NSChoosePrinterControlTag {
    NSCPPrinterNameField		= 110,
    NSCPPrinterTypeField		= 111,
    NSCPPrinterNoteField		= 112,
    NSCPPrinterNameTitle		= 113,
    NSCPPrinterTypeTitle		= 114,
    NSCPPrinterNoteTitle		= 115,
    NSCPTitleField			= 116,
    NSCPCancelButton			= NSCancelButton,
    NSCPOkButton			= NSOKButton,
    NSCPNameTitle			= 119,
    NSCPTypeTitle			= 120,
    NSCPHostTitle			= 121,
    NSCPImageButton			= 123
} NSChoosePrinterControlTag;

@interface NSChoosePrinter : NSPanel
{
    id                  appIcon;
    id                  ok;
    id                  cancel;
    id                  border;
    int                 exitTag;
    id                  name;
    id                  type;
    id                  note;
    const char        **_lastValues;
    id                  accessoryView;
    unsigned int        _reservedChoosePrinter1;
    unsigned int        _reservedChoosePrinter2;
    unsigned int        _reservedChoosePrinter3;
    unsigned int        _reservedChoosePrinter4;
}

+ choosePrinter;

- setAccessoryView:aView;
- accessoryView;
- pickedButton:sender;
- pickedList:sender;
- readPrintInfo:(BOOL) printerFlag;
- writePrintInfo:(BOOL) printerFlag;
- (int)runModal;
- (NSChoosePrinterControlTag)runModalFax;
- _selectFaxByName:(NSString *)faxName;

@end
