/*
	NXSplitView.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSView.h"

@interface NSSplitView : NSView
{
    id                  delegate;
}

- initWithFrame:(NSRect)frameRect;

- delegate;
- setDelegate:anObject;
- adjustSubviews;
- (float)dividerHeight;
- drawDivider:(NSRect)aRect;

- mouseDown:(NSEvent *)theEvent;
- drawRect:(NSRect)rect;
- resizeSubviewsWithOldSize:(NSSize)oldSize;
- setAutoresizesSubviews:(BOOL)flag;
- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent;

@end

@interface NSObject(NXSplitViewDelegate)
- splitView:sender resizeSubviewsWithOldSize:(NSSize)oldSize;
- splitView:sender getMinY:(float *)minY maxY:(float *)maxY ofSubviewAt:(int)offset;
- splitViewDidResizeSubviews:sender;
@end
